import matplotlib.pyplot as plt

from lhcsmapi.Time import Time


class CurrentLeadsPlot(object):

    @staticmethod
    def plot_leads_voltage(u_leads_df, timestamp_fgc_act, circuit_name, leads_type):
        title = '{} {}: U_HTS and U_RES for {}'.format(Time.to_string_short(timestamp_fgc_act), circuit_name,
                                                       leads_type)

        fig, ax1 = plt.subplots()
        u_leads_df.filter(regex='U_RES').plot(ax=ax1, title=title, figsize=(15, 7.5), color=['C0', 'C1'], grid=True)

        ax1.title.set_size(20)
        ax1.set_xlabel("time, [s]", fontsize=15)
        ax1.legend(loc='lower left')
        ax1.set_ylabel("U_RES, [V]", fontsize=15)
        ax1.tick_params(labelsize=15)

        ax2 = ax1.twinx()
        u_leads_df.filter(regex='U_HTS').plot(ax=ax2, color=['C2', 'C3'])
        ax2.legend(loc='upper right')
        ax2.set_ylabel("U_HTS, [V]", fontsize=15)
        ax2.tick_params(labelsize=15)
        plt.show()