import os
import pandas as pd

class Reference(object):

    @staticmethod
    def get_quench_heater_reference_discharges():
        selected_path = os.path.dirname(__file__)
        full_path = os.path.join(selected_path, 'qh/ReferenceDischarges.csv')
        return pd.read_csv(full_path, index_col=0)

    @staticmethod
    def get_energy_extraction_reference_temperature():
        selected_path = os.path.dirname(__file__)
        full_path = os.path.join(selected_path, 'ee/refTemperatureEE.csv')
        return pd.read_csv(full_path, index_col=0)

    @staticmethod
    def get_energy_extraction_reference_parameters():
        selected_path = os.path.dirname(__file__)
        full_path = os.path.join(selected_path, 'ee/scalarParametersEE.csv')
        return pd.read_csv(full_path, index_col=0)

    @staticmethod
    def get_power_converter_reference_fpa():
        selected_path = os.path.dirname(__file__)
        full_path = os.path.join(selected_path, 'pc/rbReference_PNO_b2.csv')
        return pd.read_csv(full_path)

    @staticmethod
    def find_qh_timestamp_for_magnet_name_from_reference(qh_reference_discharges, magnet):
        # Look for a timestamp of the reference discharge curve
        if not qh_reference_discharges[qh_reference_discharges['magnetName'] == magnet].empty:
            return qh_reference_discharges[qh_reference_discharges['magnetName'] == magnet]['timestamp'].values[0]
        else:
            return -1
